Foreman - Bug #6816

RHEV compute resource without quota fails on creating a vm with "Failed to create a compute”
"Internal Engine Error"

07/29/2014 09:58 AM - Ivan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Compute resources - oVirt
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1123685 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1627
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1123685
Steps to Reproduce:

1. create compute resource on rhev with a blank quota

2. provision a host on that compute resource

Actual results:
Provisioning fails with "Failed to create a compute" "Internal Engine Error"

Expected results:
Provisioning succeeds

Additional info:
RHEYV 3.4.1-0.30.el6ev

Additional debugging pointed to the quota parameter not being accepted, when set to "", switching to nil seemed to fix the issue

Associated revisions

Revision 0809c9ae - 07/31/2014 08:34 AM - Ivan Necas

Fixes #6816 - pass oVirt quota as nil instead of "" to prevent server error

History

#1 - 07/29/2014 10:02 AM - Dominic Cleal

- Category set to Compute resources - oVirt

#2 - 07/29/2014 12:06 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1627 added
- Pull request deleted ()

#3 - 07/29/2014 12:08 PM - Dominic Cleal

- Assignee set to Ivan Necas

#4 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#5 - 07/31/2014 08:33 AM - Dominic Cleal
https://bugzilla.redhat.com/show_bug.cgi?id=1123685

- translation missing: en.field_release set to 10

#6 - 07/31/2014 09:01 AM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset fbe2fc2b7c842ac37 1.
